<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Modelo de Revisión en Sitio</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>Selecciona el Dashboard que requieres visualizar</strong>
      </div>
    </div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row class="justify-center">
        <v-col
          v-for="(card, indexCard) in cards"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
          :offset-lg="indexCard === 0 ? 0 : 0"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row class="fill-height ma-0" align="center" justify="center">
                    <v-progress-circular indeterminate color="grey lighten-5"></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title class="cardTitle justify-center black--text" v-text="card.title"></v-card-title>
            <v-card-subtitle class="black--text" v-text="card.description"></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
    <!-- Fin conSecc -->
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
import store from "@/store";
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  data() {
    return {
      negocios: [{idNegocio:1},{idNegocio:7},{idNegocio:8}, {idNegocio:5}],
      cards: null,
      filtrosFechas:{
        fechaInicio:"",
        fechaFin:""
      },
      gerente:{},
      breadcrumbs: [

        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Revisión en Sitio",
          disabled: false,
          exact: true,
          to: {
            name: "certificacion_calidad_gerente",
          }
        },
        {
          text: "Dashboard",
          disabled: true,
        }
     
      ],
    };
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  },
 methods: {
    initCards() {
      this.cards = [
        {
          title: "Por Punto de Venta",
          src: require("@/assets/img/certificacion-calidad/sucursal_icon.svg"),
          description: "Si deseas visualizar por Punto Punto de Venta",
          to: {
            name: "certificacion_calidad_gerente_dashboard",
            params: {
              isDirector:this.serviceCommons.objectToBase64({value:false}),
              negocio: this.serviceCommons.objectToBase64(this.negocios[0]), //PENDIENTE INTEGRAR WS
              filtrosFechas: this.serviceCommons.objectToBase64(this.filtrosFechas),
              gerente: this.serviceCommons.objectToBase64(this.gerente)
            },
          },
          color: "#faf9f9",
        },
        {
          title: "Por Canal de Terceros",
          src: require("@/assets/img/certificacion-calidad/canales_icon.svg"),
          description: "Si deseas visualizar por Canal de Terceros",
          to: {
            name: "certificacion_calidad_gerente_dashboard",
            params: {
              isDirector:this.serviceCommons.objectToBase64({value:false}),
              negocio: this.serviceCommons.objectToBase64(this.negocios[1]), //PENDIENTE INTEGRAR WS
              filtrosFechas: this.serviceCommons.objectToBase64(this.filtrosFechas),
              gerente: this.serviceCommons.objectToBase64(this.gerente)
            },
          },
          color: "#faf9f9",
        },
        {
          title: "Por Italika",
          src: require("@/assets/img/certificacion-calidad/italika_icon.svg"),
          description: "Si deseas visualizar por Italika",
          to: {
            name: "certificacion_calidad_gerente_dashboard",
            params: {
              isDirector:this.serviceCommons.objectToBase64({value:false}),
              negocio: this.serviceCommons.objectToBase64(this.negocios[2]), //PENDIENTE INTEGRAR WS
              filtrosFechas: this.serviceCommons.objectToBase64(this.filtrosFechas),
              gerente: this.serviceCommons.objectToBase64(this.gerente)
            },
          },
          color: "#faf9f9",
        },
        {
          title: "Por GCC",
          src: require("@/assets/img/certificacion-calidad/cc_icon.svg"),
          description: "Si deseas visualizar por GCC",
          to: {
            name: "certificacion_calidad_gerente_dashboard",
            params: {
              isDirector:this.serviceCommons.objectToBase64({value:false}),
              negocio: this.serviceCommons.objectToBase64(this.negocios[3]), //PENDIENTE INTEGRAR WS
              filtrosFechas: this.serviceCommons.objectToBase64(this.filtrosFechas),
              gerente: this.serviceCommons.objectToBase64(this.gerente)
            },
          },
          color: "#faf9f9",
        }

      ];
    }
  },
  created() {
    if (this.$route.params.negocio) {
      this.negocio = this.serviceCommons.base64ToObject(
        this.$route.params.negocio
      );
      this.filtrosFechas = this.serviceCommons.base64ToObject(
        this.$route.params.filtrosFechas
      );

      this.gerente = this.serviceCommons.base64ToObject(
        this.$route.params.gerente
      );
      
      this.initCards();
    }

  },
};
</script>
